#!/usr/bin/bash
set -eu

share="$(getent passwd "$SUDO_UID" | cut -d : -f 6 | sed 's/.*default-school//')"

if [ "$#" -gt 0 ] && [ "$1" = '-u' ]; then
    umount "/media/${SUDO_USER}/home" && rmdir "/media/${SUDO_USER}/home"
else
    chgrp 1010 "/media/${SUDO_USER}"
    chmod 0770 "/media/${SUDO_USER}"
    mkdir -p "/media/${SUDO_USER}/home"
    mount -t cifs -o "sec=krb5i,cruid=${SUDO_UID},username=${SUDO_USER},uid=${SUDO_UID},\
gid=1010,file_mode=0770,dir_mode=0770,forceuid,forcegid,user=${SUDO_USER}" \
	  "//server/default-school/${share}" "/media/${SUDO_USER}/home"
fi
